JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
OpenGLShaderProgram::Attribute Struct Reference
juce_opengl » opengl

Represents an openGL vertex attribute value. More...

`#include <juce_OpenGLShaderProgram.h>`

## Public Member Functions
| Attribute (const OpenGLShaderProgram &, const char *attributeName)
| Initialises an attribute.

## Public Attributes
GLuint | attributeID
| The attribute's ID number.

## Detailed Description

Represents an openGL vertex attribute value.

After a program has been linked, you can create Attribute objects to let you set the attributes that your vertex shaders use.

## Constructor & Destructor Documentation

## ◆ Attribute()

OpenGLShaderProgram::Attribute::Attribute | ( | const OpenGLShaderProgram & | ,
|  | const char * | attributeName )

Initialises an attribute.

The program must have been successfully linked when this constructor is called.

## Member Data Documentation

## ◆ attributeID

GLuint OpenGLShaderProgram::Attribute::attributeID

The attribute's ID number.

If the uniform couldn't be found, this value will be < 0.

The documentation for this struct was generated from the following file:

- juce_OpenGLShaderProgram.h